<?php
// wcf imports
require_once(WCF_DIR.'lib/util/pip/OptionsXMLPIP.class.php');

/**
 * Creates an useroptions XML-PIP
 *
 * @package	com.woltlab.community.wcf.util.package
 * @author	Alexander Ebert
 * @copyright	2010 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	lib.util.pip
 */
class UserOptionsXMLPIP extends OptionsXMLPIP {
	/**
	 * Stores all available option data elements and saves wether they may used in useroptions
	 *
	 * @var	array
	 */
	public static $userOptionElements = array(
		'categoryname',
		'deactivated',
		'defaultvalue',
		'editable',
		'enableoptions',
		'optiontype',
		'outputclass',
		'required',
		'searchable',
		'selectoptions',
		'showorder',
		'validationpattern',
		'visible'
	);

	/**
	 * @see	OptionsXMLPIP::create()
	 */
	public static function create ($data, $appendParentCategory = false) {
		return self::createOptionsXML('useroptions', $data, $appendParentCategory, self::$userOptionElements);
	}
}
?>