<?php
/**
 * Provides basic methods for XML-PIPs
 *
 * @package	com.woltlab.community.wcf.util.package
 * @author	Alexander Ebert
 * @copyright	2010 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	lib.util.pip
 */
interface XMLPIP {
	/**
	 * Returns a fully qualified XML-PIP
	 *
	 * @param	array<array>	$data			XML-PIP data
	 * @param	boolean		$appendParentCategory	Defaults to false. Appends category to each node name
	 * @return	string		XML-PIP
	 */
	public static function create ($data, $appendParentCategory = false);
}
?>