<?php
// wcf imports
require_once(WCF_DIR.'lib/util/pip/OptionsXMLPIP.class.php');

/**
 * Creates an groupoptions XML-PIP
 *
 * @package	com.woltlab.community.wcf.util.package
 * @author	Alexander Ebert
 * @copyright	2010 WoltLab Community
 * @license	GNU Lesser Public License <http://www.gnu.org/licenses/lgpl.html>
 * @subpackage	lib.util.pip
 */
class GroupOptionsXMLPIP extends OptionsXMLPIP {
	/**
	 * Stores all available option data elements and saves wether they may used in groupoptions
	 *
	 * @var	array
	 */
	public static $groupOptionElements = array(
		'categoryname',
		'enableoptions',
		'defaultvalue',
		'optiontype',
		'showorder',
		'validationpattern'
	);

	/**
	 * @see	OptionsXMLPIP::create()
	 */
	public static function create ($data, $appendParentCategory = false) {
		return self::createOptionsXML('groupoptions', $data, $appendParentCategory, self::$groupOptionElements);
	}
}
?>